OpenNMS API 1.2.9

## org.opennms.core.concurrent
Interface RunnableConsumerThreadPool.RunnableErrorListener

Enclosing interface:
  RunnableConsumerThreadPool

public static interface RunnableConsumerThreadPool.RunnableErrorListener

This interface is used to define a listerer for the thread pool that is notified if an error occurs processing a runnable. The instance is passed as an object just incase the actually object does not implement the `Runnable`interface.

Author:
  Brian Weaver , OpenNMS

Method Summary
`void` `onRunnableError(java.lang.Object r, java.lang.Throwable t)` This method is invoked when a `java.lang.RunnableRunnable` fails with an exception.

Method Detail

### onRunnableError

    public void onRunnableError(java.lang.Object r,
                                java.lang.Throwable t)

  This method is invoked when a `java.lang.RunnableRunnable` fails with an exception.

  Parameters:
    `r` - The Runnable in error.
    `t` - The caught error.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.